Bug 9438 - netr_ServerPasswordSet2, netr_LogonSamLogon with netlogon AES broken
netr_ServerPasswordSet2, netr_LogonSamLogon with netlogon AES broken
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
4.0.0rc5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8622 9306
  Show dependency treegraph
 
Reported: 2012-11-29 22:45 UTC by Guenther Deschner
Modified: 2012-12-11 00:11 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-0-test (128.97 KB, patch)
2012-12-10 07:25 UTC, Stefan Metzmacher
gd: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2012-11-29 22:45:08 UTC
netr_ServerPasswordSet2 with netlogon AES broken

Fixes for Samba 3.x and 4.x client and server incl. tests here:

https://git.samba.org/?p=gd/samba/.git;a=shortlog;h=refs/heads/master-netlogon-aes
Comment 1 Guenther Deschner 2012-12-05 11:06:31 UTC
Various other netlogon calls do not correctly support AES as well. 

The list includes at least netlogon samlogon with interactive and generic logon_levels.

Followup patches in the same git tree.
Comment 2 Karolin Seeger 2012-12-09 19:48:58 UTC
Günther, can you please attach the patchset to the bug report?

Thanks!
Comment 3 Stefan Metzmacher 2012-12-10 07:25:10 UTC
Created attachment 8318 [details]
Patches for v4-0-test
Comment 4 Guenther Deschner 2012-12-10 09:04:58 UTC
Comment on attachment 8318 [details]
Patches for v4-0-test

Looks good, thanks!
Comment 5 Guenther Deschner 2012-12-10 09:05:43 UTC
Karolin, please add to v4-0-test.
Comment 6 Karolin Seeger 2012-12-10 09:11:55 UTC
Pushed to autobuild-v4-0-test.
Comment 7 Guenther Deschner 2012-12-11 00:11:06 UTC
Ok, there might be some hunks that should go to v3-6 as well but they are not AES related (since 3.6 does not do AES yet). If required I'll open a separate bug on this. Closing for now.